Package org.eclipse.rdf4j.sail.shacl.ast.targets

## Enum EffectiveTarget.Extend

- java.lang.Object
- - java.lang.Enum<EffectiveTarget.Extend>
  - - org.eclipse.rdf4j.sail.shacl.ast.targets.EffectiveTarget.Extend

- All Implemented Interfaces:
    `Serializable`, `Comparable<EffectiveTarget.Extend>`
  Enclosing class:
    EffectiveTarget

      public static enum EffectiveTarget.Extend
      extends Enum<EffectiveTarget.Extend>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `left` |
    `right` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EffectiveTarget.Extend` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EffectiveTarget.Extend[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### left

          public static final EffectiveTarget.Extend left

    - #### right

          public static final EffectiveTarget.Extend right

  - ### Method Detail

    - #### values

          public static EffectiveTarget.Extend[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EffectiveTarget.Extend c : EffectiveTarget.Extend.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EffectiveTarget.Extend valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null